--------------------------------------------------
-- dusty szene with lua script
--------------------------------------------------

-- after start move the sphere around!

fname = "head.xpm"

file = io.open(fname,"r")
-- read header
z = file:read(9)
print(z)
-- read \n
z = file:read(1)
repeat
	z = file:read(1)
until z == "\n"
z = file:read(1)
-- read width
w = file:read("*n")
print(w)
--file:read(1)
-- read width
h = file:read("*n")
print(h)
-- read colors
co = file:read("*n")
print(co)
repeat
	z = file:read(1)
until z == "\n"
repeat
	z = file:read(1)
until z == "\n"

cmap = {}

-- read colors
for i=1,co-1 do
	--- read "
	file:read(1)

	a = file:read(1)
	file:read(4)
	cmap[a] = file:read(6)
	file:read(3)
end

-- create an new container
-- x, y, z, colormode, enable temperature
c = dusty.newcontainer(w,h,3,COLOR,0)

dusty.set_backcolor(0,0,0)

c:set_timestep(0.21)
c:enable_bound(true)
c:enable_vort(false)
c:set_vort(0.14)
c:set_dissipate(0.0)
c:set_diff(0.00000)

--s = c:newsource(w/2,2,3,"source")
--s:set_force(0,18,0)
--s:set_show(false)

--z = file:read(1)
--print(z)
for j=1,h do
	----- read "
	z = file:read(1)
	for i=1,w do
		z = file:read(1)
		if z ~= " " then
			cm = cmap[z]
--			print(z)
			r = tonumber(string.sub(cm,1,2),16)/455
			g = tonumber(string.sub(cm,3,4),16)/455
			b = tonumber(string.sub(cm,5,6),16)/455
--			print(r,g,b)
			c:set_matter(i,h-j,2,r,g,b,25)
		end
	end
	----- read ",\n
	z = file:read(3)
end
file:close()

o1 = c:newobject(SPHERE,15,5,2,"object1")
o1:set_scale(1.0)

