--------------------------------------------------
-- dusty szene with lua script
--------------------------------------------------
-- Particle Test

DELAY = 0.06

-- create an new container
-- x, y, z, colormode, enable temperature
c = dusty.newcontainer(25,25,25,MONO,0)

c:set_timestep(0.27)
c:enable_bound(true)
c:enable_vort(false)
c:set_vort(0.05)
c:set_alphascale(0.7)
--c:set_alphascale(1.0)
c:set_dissipate(0.06)
c:set_densscale(1.0)
c:set_diff(0.00000)
c:set_visc(0.00000)

c:set_pathtrace(RUNGE)

-- create some sourceobjects
-- x, y, z, name
s1 = c:newsource(12,1,12,"source1")
s1:set_force(0,25,0)
s1:set_dens(40,10,0)

p1 = c:newpsource(10,2,12,"particle1")
p2 = c:newpsource(14,2,12,"particle2")

o1 = c:newobject(SPHERE,12,16,12,"object1")
o1:set_scale(2.2)
dusty.voxelize()



