--------------------------------------------------
-- dusty szene with lua script
--------------------------------------------------

-- create an new container
-- x, y, z, colormode, enable temperature
c = dusty.newcontainer(22,22,22,COLOR,0)

c:set_timestep(0.6)
c:enable_bound(true)
c:enable_vort(true)
--c:rotate(0.4,0.5,1,0)
c:set_alphascale(0.7)
c:set_dissipate(0.02)

c:set_pathtrace(RUNGE)

--c:set_matter(11,11,11,15,0,0)
--c:set_matter(10,11,11,15,0,0)
--c:set_matter(12,11,11,15,0,0)

-- create some sourceobjects
-- x, y, z, name
s1 = c:newsource(12,1,12,"source1")
s1:set_force(0,4,0)
s1:set_dens(15,0,0)
--s1:set_show(false)

s2 = c:newsource(1,12,12,"source2")
s2:set_force(4,0,0)
s2:set_dens(0,0,15)

s3 = c:newsource(21,12,12,"source3")
s3:set_force(-3,0,0)
s3:set_dens(0,15,0)
