--------------------------------------------------
-- dusty szene with lua script
--------------------------------------------------

DELAY = 0.06

print "start"

--dusty.internstep(false)
dusty.savealpha(false)

-- create an new container
-- x, y, z, colormode, enable temperature
c = dusty.newcontainer(28,20,20,COLOR,USETEMP)


c:set_timestep(0.4)
c:enable_bound(true)
c:enable_vort(true)
c:set_vort(0.05)
c:set_alphascale(0.99)
--c:set_alphascale(1.0)
c:set_dissipate(0.05)
c:set_densscale(0.6)

c:set_pathtrace(RUNGE)
--c:set_pathtrace(EULER)

-- create some sourceobjects
-- x, y, z, name

a = c:newsource(2,10,10,"source1")
a:set_force(10,-7,0)
a:set_dens(20,10,0)
a:set_temp(55)
a:set_show(false)

b = c:newsource(2,10,9,"source2")
b:set_force(10,-7,0)
b:set_dens(20,10,0)
b:set_temp(55)
b:set_show(false)

o1 = c:newobject(SPHERE,12,12,9,"object1")
o1:set_scale(2.2)
o2 = c:newobject(SPHERE,19,10,9,"object2")
o2:set_scale(1.7)
o3 = c:newobject(SPHERE,19,10,4,"object3")
o3:set_scale(1.7)
o4 = c:newobject(SPHERE,19,10,14,"object4")
o4:set_scale(1.7)
o5 = c:newobject(SPHERE,19,5,14,"object5")
o5:set_scale(1.7)
o6 = c:newobject(SPHERE,19,15,14,"object6")
o6:set_scale(1.7)
o7 = c:newobject(SPHERE,19,5,4,"object7")
o7:set_scale(1.7)
o8 = c:newobject(SPHERE,19,15,4,"object8")
o8:set_scale(1.7)
o9 = c:newobject(SPHERE,19,5,9,"object9")
o9:set_scale(1.7)


dusty.voxelize()


-- add a polygon object
--o = c:newobject(POLY,15,15,15,"shuttle","materials")
